Start PUD Process

This REST API is called to start a new PUD process, or resume a PUD process that was stopped before completion. The Pruning Unreferenced Data (PUD) APIs are used to delete randomly existing binaries in the filestore that are not referenced in Artifactory.

Since: 7.72

Security: Requires an admin user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

PUD process parameters

boolean
Defaults to false

If false then unreferenced binaries will be actually removed from the filestore. If true then unreferenced binaries will not be removed from the filestore. This mode may be useful to estimate the number of unreferenced binaries in each directory without actually removing them.

string

If present, the PUD process will continue from the directory identified here. If this parameter is omitted, the PUD process starts to prune from the beginning of the directories list.

int32
Defaults to 0

If present, the PUD process continues from this position in the last directory that the previous PUD process stopped at. This parameter can be found in the response of the Get Status API at lastHandledDirectory>binariesProcessed. If omitted, the PUD process starts to prune from the first binary in the directory.

int32
Defaults to 1

If present, unreferenced binaries that are newer than binaryOlderThanDays are ignored by the PUD process. If binaryOlderThanDays = 0, the PUD process does not relate to the binary creation date.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json